/******************************************************************************
*	File		-	baseScene.cpp
*	Author		-	Joey Pollack
*	Date		-	2021/10/27 (y/m/d)
*	Mod Date	-	2021/10/27 (y/m/d)
*	Description	-	The interface class for tester scenes
******************************************************************************/

#include "base_scene.h"

namespace lunarium
{
    BaseScene::BaseScene(uint32_t logCat)
        : mLogCat(logCat)
    {
        
    }

    void BaseScene::OnLoad()
    {

    }
    
    void BaseScene::OnTick(double delta)
    {

    }
    
    void BaseScene::OnRender(IGraphics* g)
    {

    }
    
    void BaseScene::OnKeyPress(InputManager::KeyPress kp)
    {

    }
    
    void BaseScene::OnKeyRelease(Keyboard::Key k)
    {

    }

}